// ----- GENERAL ----- //

* {
	box-sizing: border-box;
	color: inherit;
}

html {
	-webkit-font-smoothing: antialiased;
	text-size-adjust: 100%;
	font-family: $font-family-body;
	font-size: $font-root-size;
	font-size: 16px;

	@media (max-width: $sizing-breakpoint-xxl) {
		font-size: 15px;
	}

	@media (max-width: $sizing-breakpoint-xl) {
		font-size: 14px;
  }

	@media (max-width: $sizing-breakpoint-l) {
		font-size: 13px;
  }

	@media (max-width: $sizing-breakpoint-m) {
		font-size: 12px;
  }

	@media (max-width: $sizing-breakpoint-s) {
		font-size: 11px;
  }

	@media (max-width: $sizing-breakpoint-xs) {
		font-size: 10px;
  }
}

html,
body {
	margin: 0;
	padding: 0;
}

a {
	@extend %anchor;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: $font-family-header;
	margin: 1.00em 0;
	color: $color-font-1;
	line-height: 1.00em;
}

h1 {
	font-size: 2.50em;
	font-weight: bold;
}

h2 {
	font-size: 2.00em;
	font-weight: bold;
}

h3 {
	font-size: 2.00em;
	font-weight: normal;
	text-transform: uppercase;
}

section {
	background: $color-bg-3;
	padding: 5.00rem $sizing-page-margin-side;

	@media (max-width: $sizing-breakpoint-m) {
		padding-top: 3.00rem;
		padding-bottom: 3.00rem;
	}

	@media (max-width: $sizing-breakpoint-s) {
		padding-top: 2.00rem;
		padding-bottom: 2.00rem;
	}

	@media (max-width: $sizing-breakpoint-xs) {
		padding-top: 1.00rem;
		padding-bottom: 1.00rem;
	}
}

body {
	background: $color-bg-1;
	color: $color-font-2;
}

svg[data-prefix="fad"] {
	path.fa-primary {
		color: $color-brand-2;
		opacity: 1.00;
	}
	path.fa-secondary {
		color: $color-brand-3;
		opacity: 1.00;
	}
}

.gatsby-highlight {
	position: relative;
  background-color: #272822;
  border-radius: 0.30em;
  margin: 0.50em 0;
	padding: 1.00em;
	padding-top: 2.00em;
	overflow: auto;

	&::before {
		display: block;
		position: absolute;
		top: 0;
		left: 2.00rem;
		z-index: 1;
		content: attr(data-language);
		background: $color-bg-4;
		border-bottom-left-radius: $sizing-border-radius;
		border-bottom-right-radius: $sizing-border-radius;
		padding: 0.40rem 0.80rem;
		text-transform: uppercase;
		color: $color-font-4;
		font-size: 0.80em;
		line-height: normal;
		text-shadow: 1px 1px rgba(0, 0, 0, 0.20);
		box-shadow: $box-shadow-default;
	}
}

.gatsby-highlight pre[class*="language-"] {
	padding: 0;
	padding-left: 0.80em;
}

.gatsby-highlight pre[class*="language-"].line-numbers {
  padding: 0;
  padding-left: 2.80em;
  overflow: initial;
}

.gatsby-highlight pre[class*="language-bash"].line-numbers,
.gatsby-highlight pre[class*="language-text"].line-numbers {
	padding: 0;
	margin-bottom: 0.15rem;

	.line-numbers-rows {
		display: none;
	}
}

:not(pre) > code[class*="language-"] {
	background: #757575;
	text-shadow: none;
	padding-left: 0.30em;
	padding-right: 0.30em;
}

code .token.operator {
	background: none;
}

.command-line-prompt {
	border: none;
}

.command-line-prompt > span:before {
  color: #999;
  content: " ";
  display: block;
  padding-right: 0.80em;
}

/* Prompt for all users */
.command-line-prompt > span[data-user]:before {
	content: "$";
	padding-left: 0.50em;
	padding-right: 0.50em;
}
